# Version 2.5.0 - 7 october 2024
- Support Vertex Color
- Support Multi UV Set
- Support KHR_materials_emissive_strength in BRP
- Occlusion culling performance 
- Remove Distance Type
# Version 2.4.2 - 30 august 2024
- Fix Shader in Andorid Devices
# Version 2.4.1 - 26 august 2024
- Fix Preview Issue
- Fix KHR_texture_transform issue
- Fix Specular Glossiness color issue
# Version 2.4.0 - 22 july 2024
- Fix Alpha Mode Issue
- Support KHR_materials_pbrSpecularGlossiness
# Version 2.3.9 - 9 july 2024
- Fix Shader Not Auto Build
# Version 2.3.8 - 5 july 2024
- Fix Texture Transform Issue
# Version 2.3.7 - 3 july 2024
- Fix Double Sided Material Transparent Issue
- Add Signature Check
# Version 2.3.6 - 12 june 2024
- Support xrgc version 4 - read materials from info.json
- Fix XrgcMaterial default value spec
# Version 2.3.5 - 26 may 2024
- Address potential memory leaks
- Support Doubled Material in BRP and URP
# Version 2.3.4 - 26 april 2024
- Hotfix light probe usage
# Version 2.3.3 - 15 april 2024
- Handle destroy / disable more gracefully
- Free up streamingcontroller resources when hiding / disabling models
# Version 2.3.2 - 23 march 2024
- Add Light Probe Usage in Streaming Model
# Version 2.3.1 - 6 february 2024
- Fix Triangle Budget Bug
- Don't duplicate metallic roughness and occlusion texture if they are the same texture
- Will need to re-setup monobehaviours - using [Serializable] classes to share data at runtime between monobehaviours and implementation, and some related helper funcitons on them like StreamControllerInitOptions conversion to optimial tree settings.
- Shared settings for memory and disk are created in the client project when setting up a StreamingController. There's a path to seperating out the IDatasource from DownloadGroup if that's desirable
- use unity's newly updated ktx package, updating 2.2.3 => 3.2.2
- remove basedistance since it's not used currently
- ModelImplementation's OnLoadFail/OnLoadSuccess - lambda handling using expected syntax. if we want a broadcast here, we can make them events, but it looks like they were meant as single add-only fire-and-forget things (may need WeakReference or something in the future to avoid some potential leaking since we don't expose unset)
- fix warnings(which prevent some larger studios from using code that use warnings-as-errors), simplify if checks with some utility functions like string.IsNullOrEmpty, ifdef symmetry, and misc small typos while looking at code
- fix Null Reference exceptions in some circumstances
- StreamingModel.OnValidate function to set a material in the editor if none was set and not initializing if the url is not set, preventing a potential exception.
- debug defines for testing, currently using defines, may change how these are enabled later
  - POLYGON_STREAMING_DEBUG_FUNCTIONS - add clear disk cache option in editor when
  - SOS_FORCE_MAX_QUALITY - test settings to try to get highest lod settings regardless of settings to help debug texture issues
# Version 2.3.0 - 2 january 2024
- Disable normal map because of bugs
- Support for Occlusion Map in URP
- Support double side shader in Android Devices
# Version 2.2.9 - 22 november 2023
- Support for normal maps
# Version 2.2.8 - 16 november 2023
- Better support for srgb colors
# Version 2.2.7 - 15 november 2023
- Support for Occlusion Map
# Version 2.2.6 - 7 november 2023
- Make Plug-in compatible with unity 2021
# Version 2.2.5 - 7 november 2023
- Rename Material File
- Add BRP-Unlit Material
- Fix Android Streaming Assets
# Version 2.2.4 - 1 november 2023
- Add Close Up Distance and Close up Distance Factor
# Version 2.2.3 - 17 october 2023
- Fixed Matallic Material
# Version 2.2.1 - 30 august 2023
- Fixed bug where streamable model previews were rendering incorrectly
# Version 2.2.0 - 28 august 2023
- Support for new .xrg models using ktx texture encoding
- Use turbo-jpeg to accelerate jpeg loading
- Semi-transparent materials no longer get considered in occlussion culling
# Version 2.1.0 - 14 august 2023
- Use Burst compiler to accelerate the occlusion culling raycasts
- Make objects hide three seconds after the last raycast hit
- Improved the algorithm that selects what geometry mutation to execute next
# Version 2.0.0 - 19 july 2023
- Added support for runtime dynamic occlusion culling
- Simplified shader model, updated materials
- Reworked updating logic, algorithm now considers a triangle budget
